Summary: Tracks and displays system calls associated with a running process.
Name: strace
Version: 4.5.1
Release: 3tr
License: distributable
Group: Trustix Official
URL: http://www.wi.leidenuniv.nl/~wichert/strace
Source0: http://belnet.dl.sourceforge.net/sourceforge/strace/strace-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root

%description
The strace program intercepts and records the system calls called and
received by a running process.  Strace can print a record of each
system call, its arguments and its return value.  Strace is useful for
diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%setup -q

%build

CFLAGS="-O3 -fomit-frame-pointer -fno-exceptions -pipe -s -mpentium -mcpu=pentium -march=pentium -ffast-math -fexpensive-optimizations -D_GNU_SOURCE" %configure --exec-prefix=%{_prefix} --bindir=%{_prefix}/bin
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{bin,share/man/man1}
make bindir=${RPM_BUILD_ROOT}%{_prefix}/bin mandir=$RPM_BUILD_ROOT%{_mandir} \
	install

strip ${RPM_BUILD_ROOT}%{_prefix}/bin/strace

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/strace*
%{_prefix}/share/man/man1/strace.1*

%changelog
* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 4.5.1-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.4.94-2tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.4-2em
- Rebuilt against glibc 2.3.2.

* Fri Aug 23 2002 Christian H. Toldnes <christht at trustix dot com> 4.4-1ct
- New upstream version: 4.4
- Built for TSL 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Thu Jun 08 2000 Oystein Viggen <oysteivi at trustix dot com>
- <hack> With timex.h from linux-2.2.15, it will build even on 2.2.16 </hack>

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- upgraded to 4.2
- moved /usr/man to /usr/share/man for FHS compliance

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- fix KERN_SECURELVL compile problem

* Tue Aug 31 1999 Cristian Gafton <gafton@redhat.com>
- added alpha patch from HJLu to fix the osf_sigprocmask interpretation

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.99.1.

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- add (the other :-) jj's sparc patch.

* Wed May 26 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.99 in order to
-    add new 2.2.x open flags (#2955).
-    add new 2.2.x syscalls (#2866).
- strace 3.1 patches carried along for now.

* Sun May 16 1999 Jeff Johnson <jbj@redhat.com>
- don't rely on (broken!) rpm %patch (#2735)

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- vfork est arrive!

* Tue Feb  9 1999 Christopher Blizzard <blizzard@redhat.com>
- Add patch to follow clone() syscalls, too.

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch to build alpha/sparc with glibc 2.1.

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- fix typo (printf, not tprintf).

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix compile problem on sparc.

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added the umoven patch from James Youngman <jay@gnu.org>
- fixed build problems on newer glibc releases

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
